Airwallex logo
Airwallex logoAirwallex logo

Linked Accounts

Copy for LLMView as Markdown

Simulate the Linked Account lifecycle scenarios in the sandbox environment.

Endpoints
POST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/accept
POST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/reject
POST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/cancel
POST /api/v1/simulation/linked_accounts/{linked_account_id}/fail_microdeposits

Accept a mandate

POST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/accept

Accept a Mandate by transitioning the mandate status from PROCESSING to ACTIVE

Parameters
linked_account_idrequiredstring

Unique identifier of the Linked Account.

Response body - 200 OK

OK

Errors
Error statusDescription
400

Possible errors: invalid_argument, invalid_status_for_operation

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/accept
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/linked_accounts/linked_account_id/mandate/accept' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1false
Was this section helpful?

Reject a mandate

POST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/reject

Reject a Mandate by transitioning the mandate status from PROCESSING to INACTIVE

Parameters
linked_account_idrequiredstring

Unique identifier of the Linked Account.

Response body - 200 OK

OK

Errors
Error statusDescription
400

Possible errors: invalid_argument, invalid_status_for_operation

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/reject
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/linked_accounts/linked_account_id/mandate/reject' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1false
Was this section helpful?

Cancel a mandate

POST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/cancel

Cancel a Mandate by transitioning the mandate status from PROCESSING or ACTIVE to INACTIVE

Parameters
linked_account_idrequiredstring

Unique identifier of the Linked Account.

Response body - 200 OK

OK

Errors
Error statusDescription
400

Possible errors: invalid_argument, invalid_status_for_operation

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/cancel
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/linked_accounts/linked_account_id/mandate/cancel' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1false
Was this section helpful?

Fail a micro deposits verification

POST /api/v1/simulation/linked_accounts/{linked_account_id}/fail_microdeposits

Fail a Micro Deposits verification by transitioning the Linked Account status from REQUIRES_ACTION to FAILED with the reason MICRO_DEPOSIT_FAILED

Parameters
linked_account_idrequiredstring

Unique identifier of the Linked Account.

Response body - 200 OK

OK

Errors
Error statusDescription
400

Possible errors: invalid_argument, invalid_status_for_operation

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/linked_accounts/{linked_account_id}/fail_microdeposits
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/linked_accounts/linked_account_id/fail_microdeposits' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1false
Was this section helpful?